Retrieve Multipurpose Email Token

Retrieves a multi-purpose Email token for verification, Password reset, and other Email-related actions.

POST
/identity/v2/manage/account/emailtoken/{tokentype}

Retrieves a multi-purpose Email token for verification, Password reset, and other Email-related actions.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

tokentype*string

Token purpose: emailverification, forgotpin, addemail, deleteuser, onetouchlogin, or autologin.

Value in"emailverification" | "forgotpin" | "addemail" | "deleteuser" | "onetouchlogin" | "autologin"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

uid*string

The UID of the User.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/manage/account/emailtoken/emailverification" \  -H "Content-Type: application/json" \  -d '{    "email": "john.doe@gmail.com"  }'
{
  "Token": "e3c12e4f2c134f2ba2c6f623e1d3be7f",
  "ExpiresIn": "2025-12-31T23:59:59Z",
  "IdentityProviders": [
    "google",
    "facebook"
  ]
}

{
  "ErrorCode": 1214,
  "Message": "Dangerous request",
  "Description": "A potentially dangerous request value was detected."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 984,
  "Message": "Account ID is invalid",
  "Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}